# Limites de fonctions

La limite d'une fonction se note \\[\lim\limits_{x \to a}f(x) = b\\] ou \\[f(x) \xrightarrow[x \to a]{} b\\]

**Idée**: \\(f(x)\\) est aussi proche que je veux de b pour autant que x soit suffisament proche de a

- Soitent \\( f: \mathbb{R} \to \mathbb{R} \quad a,b \in \mathbb{R}\\)
    - On dit que **f tend vers b quand x tend vers a** (\\(f(x) \xrightarrow[x \to a]{}b\\)) si
        - \\(\forall (x\_n) \subseteq dom(f) \quad (x\_n \to a) \implies (f(x\_n) \to b)\\)


Pour considérer \\(f(x) \xrightarrow[x \to a]{} b\\) on demande que \\(a \in adh(dom(f))\\)[^adh]

**Attention** la notation \\(\to \text{ et } \lim\\) ne sont pas les mêmes...
En effet, si \\(a \nin adh(dom(f))\\) alors f(x) tend vers b est vrai mais lim f(x) n'existe pas


### L'unicitée de la limite

- Soient \\(f : \mathbb{R} \to \mathbb{R} \quad a \in adh(dom(f)) \quad b_1, b_2 \in \mathbb{R} \cup \\{ - \infty , + \infty \\}\\)
    - Si \\(f(x) \xrightarrow[x \to a]{} b_1 et f(x) \xrightarrow[x \to a]{} b_2\\)
        - alors \\(b_1 = b_2\\)

- si \\(\exists (x_n), (y_n) \subseteq dom(f) \text{ tel que } x_n \to a \text{ et } y_n \to a \text{ et } f(x_n) \to b \text{ et } f(y_n) \to b' ( b \neq b' )
    - alors \\(\lim\limits_{x \to a}f(x)\\) n'existe pas

## l'adhérence

l'adherence d'un ensemble coorespond à l'ensemble lui meme uni avec les points adherents

- Soit \\(E \subseteq \mathbb{R}\\)
    - **L'adhérence** de E est l'ens noté \\(adh(E)\\) défini par
        - \\(adh(E) = \\{x \in \mathbb{R} \vert \exists (x\_n) \subseteq E \quad x\_n \to x\\}\\)

- **remarques**
    - \\(E \subseteq adh(E)\\)
    - \\(adh(E) \nsubseteq E\\)
    - Il peut arriver que \\(E = adh(E)\\)
    - Toutes les suites sont adh à \\(\mathbb{R}\\) et \\(adh(\mathbb{R}) = \mathbb{R}\\)


## Théorem de localité

- Soient \\(f : \mathbb{R} \to \mathbb{R} \quad a \in adh(dom(f)) \quad b \in \mathbb{R} \cup \\{-\infty , +\infty \\} \quad r > 0\\)
    - On a \\(\lim\limits_{x\to a} f(x) = b  \text{ ssi } \lim\limits_{x\to a \\\\ x\in [a-r,a+r]} f(x) = b\\)

[^adh]:[L'adhérence](#ladhérence)

